function batchrun(graphics)

global spread spread2 range resolution base SOA lagmultiply T1blank name  RBflag T1rangeflag spread2 blastersize bdelay
global threetarg fluxdurflag justt1delay progresshandle progressbar progresstitle targetvariance  Strongmask justt2delay
global oldmodel

if(graphics)
    progresshandle = figure('Position',[10 10 400 200],'Name','Progress Bar');
    progresstitle = uicontrol('Style','text','String',sprintf('\nProgress Bar'),'Position', [20 45 400 150]);
    progressbar = uicontrol('Style', 'slider', 'String', 'Status',...
        'Position', [20 10 400 30],'Min',0,'Max',1);
end


%%%%%%%%%%%%%%%%%%%
%%Input values extend around a middle value in steps.

justt1delay = 0
justt2delay = 0;

base = .85;
range = .54;

%experiments with fewer targets per trial step through the range of values
%with a finer grain.

twotargdivider = 6;
fourtargdivider = 5;
threetargdivider = 8;
sixtargdivider = 2;

swaptargdivider = 10;

%For experiments with very coarse grained steps through the range of input
%values (such as 6 targets) we add extra variance
spreadvariance = 0;
sixtargvariance = range/3;
Strongmask = 0;

SOA = 100;
bdelay = 3;
targetvariance = 0;
oldmodel = 1;


Strongmask = 1;
resolution = range/4;
bdelay = 0;
T1blank = [0, 0];
name = 'Episodesblink.mat';
toybattery(3,graphics)
Strongmask = 0;
bdelay = 3;



WybleBowmanNieuwenstein                %run simulations from the 2009 Wyble Bowman & Nieuwenstein paper
WyblePotterNieuwensteinBowman          %run simulations from the 2011 Wyble, Potter, Nieuwenstein & Bowman paper.



oldmodel = 1;

%%%%%%%%%%%
%Swapping
bdelay = 3;

%Basic Blink
resolution = range/swaptargdivider;
T1blank = [0, 0];
SOA = 40;
name = 'blink40.mat';
%toybattery(9,graphics)



SOA = 70;
name = 'blink70.mat';
toybattery(9,graphics)

SOA = 60;
name = 'blink60.mat';
toybattery(9,graphics)

SOA = 80;
name = 'blink80.mat';
toybattery(9,graphics)

SOA = 110;
name = 'blink110.mat';
toybattery(9,graphics)

SOA = 160;
name = 'blink160.mat';
toybattery(9,graphics)

SOA = 220;
name = 'blink220.mat';
toybattery(9,graphics)

SOA = 300;
name = 'blink300.mat';
toybattery(9,graphics)





base = 1.00;

SOA = 40;
name = 'blink40S.mat';
%toybattery(9,graphics)

SOA = 70;
name = 'blink70S.mat';
%toybattery(9,graphics)

SOA = 60;
name = 'blink60S.mat';
%toybattery(9,graphics)

SOA = 80;
name = 'blink80S.mat';
%toybattery(9,graphics)

SOA = 110;
name = 'blink110S.mat';
%toybattery(9,graphics)

SOA = 160;
name = 'blink160S.mat';
%toybattery(9,graphics)

SOA = 220;
name = 'blink220S.mat';
%toybattery(9,graphics)

SOA = 300;
name = 'blink300S.mat';
%toybattery(9,graphics)



bdelay = 1

base = 1.000;

SOA = 40;
name = 'blink40Sfast.mat';
%toybattery(9,graphics)

SOA = 70;
name = 'blink70Sfast.mat';
%toybattery(9,graphics)

SOA = 60;
name = 'blink60Sfast.mat';
%toybattery(9,graphics)

SOA = 80;
name = 'blink80Sfast.mat';
%toybattery(9,graphics)

SOA = 110;
name = 'blink110Sfast.mat';
%toybattery(9,graphics)

SOA = 160;
name = 'blink160Sfast.mat';
%toybattery(9,graphics)

SOA = 220;
name = 'blink220Sfast.mat';
%toybattery(9,graphics)

SOA = 300;
name = 'blink300Sfast.mat';
%toybattery(9,graphics)


bdelay = 1


base = .85;

SOA = 40;
name = 'blink40fast.mat';
%toybattery(9,graphics)

SOA = 70;
name = 'blink70fast.mat';
%toybattery(9,graphics)

SOA = 60;
name = 'blink60fast.mat';
%toybattery(9,graphics)

SOA = 80;
name = 'blink80fast.mat';
%toybattery(9,graphics)

SOA = 110;
name = 'blink110fast.mat';
%toybattery(9,graphics)

SOA = 160;
name = 'blink160fast.mat';
%toybattery(9,graphics)

SOA = 220;
name = 'blink220fast.mat';
%toybattery(9,graphics)

SOA = 300;
name = 'blink300fast.mat';
%toybattery(9,graphics)



%%%%%%%%%%%%%%%%%%%%
%Whole Report and Sparing conditions, including the RB experiment

%Basic Spreading Sparing
resolution = range/fourtargdivider ;
targetvariance = spreadvariance;
T1blank = [0, 0];
name = 'blinkspreadBAT1.mat';
%toybattery(1,graphics)


%Whole Report   Switch to 110ms 
resolution = range/fourtargdivider ;
bdelay = 0;
SOA = 110;
T1blank = [0, 0];
name = 'blinkWRBAT2.mat';
%toybattery(2,graphics)


%WR using Just T1 Delay
resolution = range/fourtargdivider ;
justt1delay = 1;
T1blank = [0, 0];
name = 'blinkWRjtBAT2.mat';
%toybattery(2,graphics)

justt1delay = 0;   %reset to default conditions
bdelay =3;
SOA = 100;


% RB    %switch to 90 ms
resolution = range/fourtargdivider ;
SOA = 90;
T1blank = [0, 0];
name = 'blinkRBBAT7.mat';
%toybattery(7,graphics)
SOA = 100;



% Three Target
resolution =range/fourtargdivider ;
T1blank = [0, 0];
name = 'blinkthreetargBAT8.mat';
%toybattery(8,graphics)
threetarg = 0;




%Whole Report with blanks
resolution =range/fourtargdivider ;
bdelay = 0;
T1blank = [0, 0];
name = 'blinkLLDLLdelay0BAT6.mat';
%toybattery(6,graphics)

bdelay = 3;

%%%%%%%%%%%%%%%%%%%%%%%%
% More Two Target Conditions

targetvariance =0;   %back to 2 targets

%Blink Delay 0
resolution = range/twotargdivider;
bdelay = 0;
SOA = 100;
T1blank = [0, 0];
name = 'blinkbasicdelay0.mat';
%  toybattery(9,graphics)


%Blink Delay 1
resolution = range/twotargdivider;
bdelay = 1;
SOA = 100;
T1blank = [0, 0];
name = 'blinkbasicdelay1.mat';
%  toybattery(9,graphics)


%Blink Delay 2
resolution = range/twotargdivider;
bdelay = 2;
T1blank = [0, 0];
name = 'blinkbasicdelay2.mat';
%  toybattery(9,graphics)


%Blink Delay 4
resolution = range/twotargdivider;
bdelay = 4;
T1blank = [0, 0]; 
name = 'blinkbasicdelay4.mat';
%  toybattery(9,graphics)


%Blink Delay 1   Only the T1 has a shorter bdelay
resolution = range/twotargdivider;
bdelay = 3;
justt1delay = 1;
T1blank = [0, 0];
name = 'blinkbasicdelay0jt.mat';
% toybattery(9,graphics)
justt1delay = 0;



%Basic Blink  Hard
resolution = range/twotargdivider;
T1rangeflag = -1;
T1blank = [0, 0];
name = 'blinkbasichard.mat';
%  toybattery(9,graphics)


%Basic Blink Easy
resolution = range/twotargdivider;
T1rangeflag = 1;
T1blank = [0, 0];
name = 'blinkbasiceasy.mat';
% toybattery(9,graphics)

%vince simulation.   For the Vince paper with Tom Spalek

%Vince 3 targets
resolution = range/twotargdivider;
targetvariance = 0 ;
SOA = 100;
T1blank = [0, 0];
bdelay = 3;
name = 'Vincebasic.mat';
%toybattery(2,graphics)


%Vince 3 targets
resolution = range/twotargdivider;
targetvariance = 0 ;
SOA = 100;
justt1delay =1;
justt2delay =0;
T1blank = [0, 0];
bdelay = 3;
name = 'Vincenolead.mat';
%toybattery(2,graphics)


%Vince 3 targets
resolution = range/twotargdivider;
targetvariance = 0 ;
SOA = 100;
justt1delay =0;
justt2delay =1;
T1blank = [2, 0];
bdelay = 3;
name = 'Vincenoint.mat';
%toybattery(2,graphics)

%Vince 3 targets
resolution = range/twotargdivider;
targetvariance = 0 ;
SOA = 100;
justt1delay =0;
justt2delay =0;
bdelay = 0;
T1blank = [2, 0];
name = 'Vincenoleadnoint.mat';
%toybattery(2,graphics)



% %T1 Unblanked
% resolution = range/twotargdivider;
% T1blank = [2, 0];
% name = 'blinkunblankedBAT10.mat';
% toybattery(10,graphics)
% SOA = 100;
% 

