function toyeval(lagshow)

global Items  Blaster Tokens Tokenbinds encodetime
global  TokensHistory  ItemsHistory BlasterHistory  perf orderperf numconds
global T1t1 T1t2 T2t1 T2t2  T1perf doubleencoding Swapencoding T2perf T3perf T4perf perf2 orderperf orderperf2 outstring BindersboundHistory2

global BindersboundHistory


lags = size(BindersboundHistory,1);
steps = size(BindersboundHistory,3);

encodetime = zeros(8,2);

orderperf = zeros(8,6);
orderperf2 = zeros(8,6);
perf = zeros(8,6);
perf2 = zeros(8,6);

for(lag = 1:lags)   %step through the conditions
    for(tok = 1:6)  %step through the time slots
        for(type = 1:6)     %step through the types
            [x ind] = max(BindersboundHistory(lag,type,:,tok));
            
            if(x ==100& orderperf(lag,type) ==0)  %this is the first encoding of this item
                orderperf(lag,type) = ind+(tok-1)*10;   %ordered performance   (1-N, with +10 f
                perf(lag,type) = 1;                     %performance (1 or 0)

                [x encodetime(lag,type)] = max(BindersboundHistory2(lag,type,ind,:));
                if(encodetime(lag,type) ==0)
                   'ERROR... ZERO TIME'
                end
                
            
            
            elseif(x ==100& orderperf(lag,type) >0)   %there is already an encoding of this pe in a prior token
                orderperf2(lag,type) = ind+(tok-1)*10;
                perf2(lag,type) = 1;
            end

            BindersboundHistory(lag,type,ind,tok) = 0;

            [x ind] = max(BindersboundHistory(lag,type,:,tok));

            if(x ==100)          % There is a repetition in this token
                orderperf2(lag,type) = ind+(tok-1)*10;
                perf2(lag,type) = 1;
            end
        end
    end
end


%create a pretty output, if asked
saveperf = orderperf;
output = zeros(lags,6);
outstring = '';
if(lagshow) 
    for(lag = 1:numconds)   %step through the conditions
        for(i = 1:6)
            [x ind] = max(saveperf(lag,:));
             if(x > 0)
                 output(lag,x) = ind;
                 saveperf(lag,ind) = -1;
             end
        end
        outstring = sprintf('%s\n Condition %d:',outstring,lag);
        for(token = 1:6)  %step through the time slots
            if(output(lag,token) > 0)
                 outstring = sprintf('%s T%d ',outstring, output(lag,token));
            end
        end
    end
sprintf('output %s',outstring)
end












