function  getlags(lagtype,display)
global numtargs lags lagstring numconds EEGpattern numeegs


def = 0;   %%initialize T1

numtargs = 4;


numeegs = 10;    %how many different ERPs will we generate for each trial
EEGpattern{1} = [1,2,99,99,99,99];   %pattern for T1..Tn in this trace
EEGpattern{2} = [1,0,99,99,99,99];   %99 = don't care about report of this target
EEGpattern{3} = [0,1,99,99,99,99];    % 0 = only include trial if this target is missed
EEGpattern{4} = [0,0,99,99,9,99];     % 1 = include this trial if this one is reported first
EEGpattern{5} = [99,99,99,99,99,99];  % 2 = include this trial if this target is reported second, etc
EEGpattern{6} = [1,99,99,99,99,99];   
EEGpattern{7} = [99,1,99,99,99,99];
EEGpattern{8} = [99,99,1,99,99,99];
EEGpattern{9} = [99,99,99,1,99,99];
EEGpattern{10} = [2,1,99,99,99,99];



switch(lagtype)
    case(1)  %basic spreading Sparing
        numconds = 4;
        lagstring = sprintf('Spreading Sparing 1\nDDTTTDDD\nDDTTDTDDD\nDDTDTTDD\nDDTTTTD');
        lags = [def, def+1, def+2,def-20;...       %DDDDDTTTDDD...DDDTD
            def, def+1, def+3,def-20;...       %DDDDDTTDTDD...DDDTD
            def, def+2, def+3,def-20;...       %DDDDDTDTTDD...DDDTD
            def, def+1, def+2,def+3;] ;        %DDDDDTTTTD
    case(2)  %whole report
        lagstring = sprintf('Simple Whole Report\nTTTTMM');
             numtargs = 4;
              numconds = 1;

        lags = [def, def+1, def+2,def+3;];%...       %TTTD
          %  def, def+3, def+4,def-20;...
          %  def, def+7, def+8,def-20;...
          %  ];  

    case(3)    %TTTDxT    D
        lagstring = sprintf('Spreading Sparing 2\nDDTTTDTDD\nDDTTTDDTDD\nDDTTTDDDTDD\nDDTTTDDDDTDD\nDDTTTDDDDDTDD\nDDTTTDDDDDDTDD\nDDTTTDDDDDDDTDD\nDDTTTDDDDDDDDTDD');
        numconds = 8;
        lags = [def, def+1, def+2,def+3;...       %DDDDDTTTDTD
            def, def+1, def+2,def+4;...       %DDDDDTTTDDTD
            def, def+1, def+2,def+5;...       %DDDDDTTTDDDTD
            def, def+1, def+2,def+6;...       %DDDDDTTTDDDDTD
            def, def+1, def+2,def+7;...       %DDDDDTTTDDDDDTD
            def, def+1, def+2,def+8;...       %DDDDDTTTDDDDDDTD
            def, def+1, def+2,def+9;...      %DDDDDTTTDDDDDDDTD
            def, def+1, def+2,def+10;] ;      %DDDDDTTTDDDDDDDDTD

    case(4)   %TDxTTT
        lagstring = sprintf('Spreading Sparing 3\nDDTDTTTDD\nDDTDDTTTDD\nDDTDDDTTTDD\nDDTDDDDTTTDD\nDDTDDDDDTTTDD\nDDTDDDDDDTTTDD\nDDTDDDDDDDTTTDD\nDDTDDDDDDDDTTTDD');
        numconds = 8;
        lags = [def, def+1, def+2,def+3;...       %DDDDDTTTTD
            def, def+2, def+3,def+4;...       %DDDDDTDTTTD
            def, def+3, def+4,def+5;...       %DDDDDTDDTTTD
            def, def+4, def+5,def+6;...       %DDDDDTDDDTTTD
            def, def+5, def+6,def+7;...       %DDDDDTDDDDTTTD
            def, def+6, def+7,def+8;...       %DDDDDTDDDDDTTTD
            def, def+7, def+8,def+9;...       %DDDDDTDDDDDDTTTD
            def, def+8, def+9,def+10;];       %DDDDDTDDDDDDDTTTD
    case(5)
        numtargs = 6;
        lagstring = sprintf('6 targets\nDDTTTDDDDDTTTDD\nDDTDTDTDTDTDTDD');
        numconds = 2;

        lags = [def, def+1, def+2,def+8, def+9,def+10;...       %TTTDDDDDTTT
            def, def+2, def+4,def+6,def+8,def+10;];             %TDTDTDTDTDT


    case(6)   %Roberto
        lagstring = sprintf('Roberto9');
        numconds = 1;
         numtargs = 3;
         lags = [def, def+1, def+2,def-20;...   %lag 1-1
         def, def+1, def+3,def-20;...      %lag 1-3
          def, def+1, def+9,def-20;...      %lag 1-8
          def, def+2, def+3,def-20;...      %lag 1-8
          def, def+2, def+4,def-20;...      %lag 1-8
          def, def+2, def+10,def-20;...      %lag 1-8
          def, def+8, def+9,def-20;...      %lag 1-1
          def, def+8, def+10,def-20;];      %lag 1-3
      
         lags = [def, def+8, def+16,def-20;];      %lag 1-8
%       
       %   def, def+8, def+16,def-20;];      %lag 1-8
%         
       
    case(7)


        %this is the Repetition Case.
        %lags 1 and 2 do TTTT
        %lags 3 and 4 do TDDT
        %lags 2 and 4 are the repetition case
        numconds = 4;

        lagstring = sprintf('RB Experiment\nDDTTTTDD\nDDTTTRDD\nDDTDDTDD\nDDTDDRDD\nNote that the last targets in TDDx conditions are T4, not T2')
        lags = [def, def+1, def+2,def+3;...
            def, def+1, def+2,def+3;...
            def, def-19, def-20,def+3;...
            def, def-19, def-20,def+3;] ;


    case(8)
        lagstring = sprintf('6 targets\nTTTDDDDDDDDTTT\nTDDTDTDDTDTDDT');

        numtargs = 6;
        numconds = 2;


            lags = [def, def+1, def+2,def+11, def+12,def+13;...       %TTTDDDDDDDDTTT
                    def, def+3, def+5,def+8,def+10,def+13;];             %TDDTDTDDTDTDDT
    case(9)
        lagstring = sprintf('Basic AB Task: lags 1-7\nDDTTDD\nDDTDTDD\nDDTDDTDD\nDDTDDDTDD\nDDTDDDDTDD\nDDTDDDDDTDD\nDDTDDDDDDTDD\nDDTDDDDDDDTDD');
        numtargs = 2;

        numconds = 1;

        lags = [def, def+1, def-20,def-4;...
            def, def+2, def-20,def-5;...
            def, def+3, def-20,def-6;...
            def, def+4, def-20,def-7;...
            def, def+5, def-20,def-8;...
            def, def+6, def-20,def-9;...
            def, def+7, def-20,def-10;...
            def, def+8, def-20,def-11;] ;
        
          %   lags = [def, def+1, def-20,def-4];
        
    case (10)
        numconds = 8;
        lagstring = sprintf('2 targets at even lags\nDDTDTDD\nDDTDDDTDD\nDDTDDDDDTDD\nDDTDDDDDDDTDD\nDDTDDDDDDDDDTDD\nDDTDDDDDDDDDDDTDD\nDDTDDDDDDDDDDDDDTDD');
        numtargs = 2;
        lags = [def, def+2, def+20,def+4;...
            def, def+4, def+20,def+5;...
            def, def+6, def+20,def+6;...
            def, def+8, def+20,def+7;...
            def, def+10, def+20,def+8;...
            def, def+11, def+20,def+9;...
            def, def+12, def+20,def+10;...
            def, def+14, def+20,def+11;] ;

    case (11)
        numconds = 2;
        numtargs = 4;
        lagstring = sprintf('4 target conditions\nDDTTTTD\nDDTDTDTDTD');
        lags = [def, def+1, def+2,def+3;...       %DDTTTTDD
            def, def+2, def+4,def+6;];      %DDTDTDTDTD
end

if(display)
    lagstring
end
