function toybattery(externalinput, graphics)
global T1perf T2perf
global BatT3Perf  BatT4Perf BatT1Perf BatT2Perf BatT1CPerf BatT2CPerf Batswap Swapbatterydata Equalgens doubleencoding Batdoub doubledata BatT2NCPerf BatT1No
global T3batterydata T4batterydata T1order T2order T3order T4order swaps swapdenom BatBothPerf
global spread range resolution base base2 SOA lagmultiply T1blank name orderperf orderperf2  BatT3Rep  BatT4Rep BatT1Rep BatT2Rep condition RBflag condition order
global T1rangeflag blastersize threetarg spread2 progresshandle progressbar progresstitle lagstring numtargs targetvariance
global T1batterydata T2batterydata T3batterydata T4batterydata T5batterydata T6batterydata  encodetime
global T1batterydata2 T2batterydata2 T3batterydata2 T4batterydata2 T5batterydata2 T6batterydata2 encodetimeT1battery encodetimeT2battery
global EEGpattern numeegs  EEGp3 EEGn2pc  batchEEGp3 batchEEGn2pc


%%%%%%%%%%%%%%%%%%%%%%
% If not being called from a batch file, use default settings
if(externalinput ==0)
    range = .54;
    resolution = .1080;
    base = .8;
    bdelay = 3;
    SOA = 100;
    targetvariance = 0;
    T1blank = [0,0 ];
    name = 'outputblink.mat';
    externalinput = 9;  %basic AB condition
end

%%%%%%%
%get the input set
getlags(externalinput,0)


T1varstart =0;
T2varstart =0;
T3varstart =0;
T4varstart =0;
T5varstart =0;
T6varstart =0;

T1varstop =0;
T2varstop =0;
T3varstop =0;
T4varstop =0;
T5varstop =0;
T6varstop =0;

T1rangeflag = 0;
T2rangeflag = 0;

if(T1rangeflag ==0)
    'Normal T1';
    T1varstart =round(-range/resolution);
    T1varstop = round(range/resolution);

elseif(T1rangeflag == 1)
    'Easy T1';
    T1varstart = floor((-range/2)/resolution) ;       %easy t1
    T1varstop = ceil(range/resolution);
else
    'Hard T1';
    T1varstart = floor(-range/resolution);    %hard t1
    T1varstop = ceil((range/2)/resolution);
end

T2varstart = round(-range/resolution);
T2varstop =  round(range/resolution);

if(numtargs > 2)
    T3varstart = round(-range/resolution);
    T3varstop =  round(range/resolution);
end

if(numtargs > 3)

    T4varstart = round(-range/resolution);
    T4varstop =  round(range/resolution);
end
if(numtargs > 4)

    T5varstart = round(-range/resolution);
    T5varstop =  round(range/resolution);
end
if(numtargs > 5)

    T6varstart = round(-range/resolution);
    T6varstop =  round(range/resolution);
end

steps  = 300;  %steps per trial


T1batterydata= 0;
T2batterydata = 0;
T3batterydata= 0;
T4batterydata = 0;
T5batterydata = 0;
T6batterydata = 0;
T1batterydata2= 0;
T2batterydata2 = 0;
T3batterydata2= 0;
T4batterydata2 = 0;
T5batterydata2 = 0;
T6batterydata2 = 0;

Swapbatterydata = 0;
doubledata = 0;

T1offset = 1-T1varstart;

numlocs = 1;
EEGp3 = zeros(8,steps);
EEGn2pc = zeros(8,steps,numlocs);

batchEEGp3 = zeros(8,steps,numeegs);
batchEEGn2pc = zeros(8,steps,numlocs,numeegs);

EEGcounts = zeros(8,numeegs);

%display some info for the first trial of this battery
display = 1;

%how many trials in this battery?
Totaltrials = (T1varstop-T1varstart+1)*(T2varstop-T2varstart+1)*(T3varstop-T3varstart+1)*(T4varstop-T4varstart+1)*(T5varstop-T5varstart+1)*(T6varstop-T6varstart+1);

sprintf('Total Trials are %d',Totaltrials)
trialcount = 0;

%step through the 6 target strength values

for(t1=T1varstart:T1varstop)
    
  
    for(t2=T2varstart:T2varstop)
   
    
        for(t3=T3varstart:T3varstop)
            for(t4=T4varstart:T4varstop)
                for(t5=T5varstart:T5varstop)
                    for(t6=T6varstart:T6varstop)

                        
                        genval = max(0,base + t1 * resolution + targetvariance*rand-(targetvariance/2));
                        genval2 = max(0,base + t2 *resolution + targetvariance*rand-(targetvariance/2));
                        genval3 = max(0,base + t3 *resolution + targetvariance*rand-(targetvariance/2));
                        genval4 = max(0,base + t4 *resolution + targetvariance*rand-(targetvariance/2));
                        genval5 = max(0,base + t5 *resolution + targetvariance*rand-(targetvariance/2));
                        genval6 = max(0,base + t6 *resolution + targetvariance*rand-(targetvariance/2));
                        first = t1+1-T1varstart;
                        second = t2+1-T2varstart;
                        third = t3+1-T3varstart;
                        fourth = t4+1-T4varstart;
                        fifth = t5+1-T5varstart;
                        sixth = t6+1-T6varstart;
                       
                        
                        lagshow = 0;
                        
                        %Run the Model
                        toymodel(genval,genval2,genval3,genval4,genval5,genval6,lagshow,T1blank,externalinput,display);
                        trialcount = trialcount + 1;


                        if(graphics & ishandle(progressbar))
                            set(progresstitle,'String',lagstring);
                            set(progressbar,'Value',(trialcount/Totaltrials));
                            drawnow
                        end

                        toyeval(lagshow);  %get the performance and save it.  
                       
                        
                        
                        T1batterydata(1,first,second,third,fourth,fifth,sixth,1:8) = reshape(orderperf(:,1),[1,1,1,1,1,1,1,8]);
                        T2batterydata(1,first,second,third,fourth,fifth,sixth,1:8) = reshape(orderperf(:,2),[1,1,1,1,1,1,1,8]);
                        T3batterydata(1,first,second,third,fourth,fifth,sixth,1:8) = reshape(orderperf(:,3),[1,1,1,1,1,1,1,8]);
                        T4batterydata(1,first,second,third,fourth,fifth,sixth,1:8) = reshape(orderperf(:,4),[1,1,1,1,1,1,1,8]);
                        T5batterydata(1,first,second,third,fourth,fifth,sixth,1:8) = reshape(orderperf(:,5),[1,1,1,1,1,1,1,8]);
                        T6batterydata(1,first,second,third,fourth,fifth,sixth,1:8) = reshape(orderperf(:,6),[1,1,1,1,1,1,1,8]);

                        T1batterydata2(1,first,second,third,fourth,fifth,sixth,1:8) = reshape(orderperf2(:,1),[1,1,1,1,1,1,1,8]);
                        T2batterydata2(1,first,second,third,fourth,fifth,sixth,1:8) = reshape(orderperf2(:,2),[1,1,1,1,1,1,1,8]);
                        T3batterydata2(1,first,second,third,fourth,fifth,sixth,1:8) = reshape(orderperf2(:,3),[1,1,1,1,1,1,1,8]);
                        T4batterydata2(1,first,second,third,fourth,fifth,sixth,1:8) = reshape(orderperf2(:,4),[1,1,1,1,1,1,1,8]);
                        T5batterydata2(1,first,second,third,fourth,fifth,sixth,1:8) = reshape(orderperf2(:,5),[1,1,1,1,1,1,1,8]);
                        T6batterydata2(1,first,second,third,fourth,fifth,sixth,1:8) = reshape(orderperf2(:,6),[1,1,1,1,1,1,1,8]);

                       
                        
                        
                        encodetimeT1battery(1,first,second,third,fourth,fifth,sixth,1:8) = reshape(encodetime(:,1),[1,1,1,1,1,1,1,8]);
                        encodetimeT2battery(1,first,second,third,fourth,fifth,sixth,1:8) = reshape(encodetime(:,2),[1,1,1,1,1,1,1,8]);
                        
                         for(k = 1:8)   %compile the EEG traces into their correct bins
                            ti(1) = T1batterydata(1,first,second,third,fourth,fifth,sixth,k);
                            ti(2) = T2batterydata(1,first,second,third,fourth,fifth,sixth,k);
                            ti(3) = T3batterydata(1,first,second,third,fourth,fifth,sixth,k);
                            ti(4) = T4batterydata(1,first,second,third,fourth,fifth,sixth,k);
                            ti(5) = T5batterydata(1,first,second,third,fourth,fifth,sixth,k);
                            ti(6) = T6batterydata(1,first,second,third,fourth,fifth,sixth,k);

                            for(eeg = 1: numeegs)  %go through all of the potential EEGs that we'll build here
                                allgood = 0;
                                for(targ = 1:6)
                                    if(EEGpattern{eeg}(targ)==ti(targ) | EEGpattern{eeg}(targ)==99)
                                        allgood = allgood + 1;
                                    end
                                end


                                if(allgood==6)  %does the accuracy match this EEGpattern?
                                    EEGcounts(k,eeg) = EEGcounts(k,eeg)+1;
                                    batchEEGp3(k,:,eeg) =       batchEEGp3(k,:,eeg) +EEGp3(k,:);
                                    batchEEGn2pc(k,:,1,eeg) =       batchEEGn2pc(k,:,1,eeg) +EEGn2pc(k,:,1);
                                   
                                    if(0)
                                        ERPimagep3(k,:,EEGcounts(k,eeg),eeg)=EEGp3(k,:);
                                    end


                                end
                            end
                        end

                        
                        
                        
                        
                        
                        
                        
                        display = 0;   %only display info for the first trial
                    end
                end
            end
        end
    end
end





%having Completed the entire battery, it's time to compute the accuracy


BatBothPerf = zeros(3,8);
BatT1Perf = zeros(3,8);
BatT2Perf = zeros(3,8);
BatT3Perf = zeros(3,8);
BatT4Perf = zeros(3,8);
BatT5Perf = zeros(3,8);
BatT6Perf = zeros(3,8);
BatT1Rep = zeros(3,8);
BatT2Rep = zeros(3,8);
BatT3Rep = zeros(3,8);
BatT4Rep = zeros(3,8);
BatT5Rep = zeros(3,8);
BatT6Rep = zeros(3,8);
T1order= zeros(1,8,6);
T2order= zeros(1,8,6);
T3order= zeros(1,8,6);
T4order= zeros(1,8,6);
T5order= zeros(1,8,6);
T6order= zeros(1,8,6);

numdiv = Totaltrials;


allgoodcount = zeros(8,1);
order = zeros(6,6,8);
for(t = 1:1)
    for(i = 1:size(T1batterydata,2))
        for(j = 1:size(T1batterydata,3))
            for(m = 1:size(T1batterydata,4))
                for(n = 1:size(T1batterydata,5))
                    for(o = 1:size(T1batterydata,6))
                        for(p = 1:size(T1batterydata,7))

                            for(k = 1:8)
                                t1 = T1batterydata2(t,i,j,m,n,o,p,k)>0;
                                t2 = T2batterydata2(t,i,j,m,n,o,p,k)>0;
                                t3 = T3batterydata2(t,i,j,m,n,o,p,k)>0;
                                t4 = T4batterydata2(t,i,j,m,n,o,p,k)>0;
                                t5 = T5batterydata2(t,i,j,m,n,o,p,k)>0;
                                t6 = T6batterydata2(t,i,j,m,n,o,p,k)>0;


                                BatT1Rep(t,k)= BatT1Rep(t,k)+ t1;
                                BatT2Rep(t,k)= BatT2Rep(t,k)+ t2;
                                BatT3Rep(t,k)= BatT3Rep(t,k)+ t3;
                                BatT4Rep(t,k)= BatT4Rep(t,k)+ t4;
                                BatT5Rep(t,k)= BatT5Rep(t,k)+ t5;
                                BatT6Rep(t,k)= BatT6Rep(t,k)+ t6;

                                t1 = T1batterydata(t,i,j,m,n,o,p,k)>0;
                                t2 = T2batterydata(t,i,j,m,n,o,p,k)>0;
                                t3 = T3batterydata(t,i,j,m,n,o,p,k)>0;
                                t4 = T4batterydata(t,i,j,m,n,o,p,k)>0;
                                t5 = T5batterydata(t,i,j,m,n,o,p,k)>0;
                                t6 = T6batterydata(t,i,j,m,n,o,p,k)>0;

                                BatT1Perf(t,k)= BatT1Perf(t,k)+ t1;
                                BatT2Perf(t,k)= BatT2Perf(t,k)+ t2;
                                BatT3Perf(t,k)= BatT3Perf(t,k)+ t3;
                                BatT4Perf(t,k)= BatT4Perf(t,k)+ t4;
                                BatT5Perf(t,k)= BatT5Perf(t,k)+ t5;
                                BatT6Perf(t,k)= BatT6Perf(t,k)+ t6;

                                if(t1 & t2)
                                    BatBothPerf(t,k) =    BatBothPerf(t,k) +1;
                                end

                                to(1) = T1batterydata(t,i,j,m,n,o,p,k);
                                to(2) = T2batterydata(t,i,j,m,n,o,p,k);
                                to(3) = T3batterydata(t,i,j,m,n,o,p,k);
                                to(4) = T4batterydata(t,i,j,m,n,o,p,k);
                                to(5) = T5batterydata(t,i,j,m,n,o,p,k);
                                to(6) = T6batterydata(t,i,j,m,n,o,p,k);



                                for(ind = 1:6)
                                    if(to(ind) ==0)
                                        to(ind) = 100;
                                    end
                                end



                            end
                        end
                    end
                end

            end
        end
    end
end
for(k = 1:8)
    order(1:4,1:4,k) = order(1:4,1:4,k) / allgoodcount(k);

    BatBothPerf(t,k) =         BatBothPerf(t,k) /BatT1Perf(t,k);
    BatT1Rep(t,k) = BatT1Rep(t,k) / BatT1Perf(t,k);
    BatT2Rep(t,k) = BatT2Rep(t,k) / BatT2Perf(t,k);
    BatT3Rep(t,k) = BatT3Rep(t,k) / BatT3Perf(t,k);
    BatT4Rep(t,k) = BatT4Rep(t,k) / BatT4Perf(t,k);
    BatT5Rep(t,k) = BatT5Rep(t,k) / BatT5Perf(t,k);
    BatT6Rep(t,k) = BatT6Rep(t,k) / BatT6Perf(t,k);


    BatT1Perf(t,k) = BatT1Perf(t,k) / numdiv;
    BatT2Perf(t,k) = BatT2Perf(t,k) / numdiv;
    BatT3Perf(t,k) = BatT3Perf(t,k) / numdiv;
    BatT4Perf(t,k) = BatT4Perf(t,k) / numdiv;
    BatT5Perf(t,k) = BatT5Perf(t,k) / numdiv;
    BatT6Perf(t,k) = BatT6Perf(t,k) / numdiv;
end

for(i = 1:8)
    condition(i,1) = BatT1Perf(1,i);
    if(numtargs > 2)
        condition(i,2) = BatT2Perf(1,i);
    else
        condition(i,2) = BatBothPerf(1,i);
    end

    condition(i,3) = BatT3Perf(1,i);
    condition(i,4) = BatT4Perf(1,i);
    condition(i,5) = BatT5Perf(1,i);
    condition(i,6) = BatT6Perf(1,i);
end


for(k = 1:8)
    for(eeg = 1:numeegs)

        batchEEGp3(k,:,eeg) = batchEEGp3(k,:,eeg) / EEGcounts(k,eeg);
        batchEEGn2pc(k,:,:,eeg) = batchEEGn2pc(k,:,:,eeg) / EEGcounts(k,eeg);


        for(trials = 1:EEGcounts(k,eeg))
            %determine peak latency for ERPimages


            %for peak latency
            %[x i] = max(ERPimagep3(k,:,trials,eeg));

            %for half latency
            
           if(0)
               sum = 0;
            for(time = 1: size(ERPimagep3,2));
                if( ERPimagep3(k,time,trials,eeg) > 0)
                    sum =sum + ERPimagep3(k,time,trials,eeg);
                end
            end
            halfsum = 0;
            for(time = 1: size(ERPimagep3,2));
                if( ERPimagep3(k,time,trials,eeg) > 0)
                    halfsum =halfsum + ERPimagep3(k,time,trials,eeg);
                    if (halfsum > sum/2)
                        sum = 999999999999;
                        i = time;
                    end
                end
            end

            if(ERPimageflag)
                ERPpeaklatency(k,trials,eeg) = i;
                ERPimagep3(k,1,trials,eeg) = ERPpeaklatency(k,trials,eeg);
            end
           end
        end

    end

end

%

save(name,'EEGcounts','batchEEGp3','batchEEGn2pc','blastersize','encodetimeT1battery','encodetimeT2battery','spread','condition','order','range','resolution','SOA','lagmultiply','BatT1Rep','BatT2Rep','BatT3Rep','BatT4Rep','BatT1Perf','BatT2Perf','BatT3Perf','BatT4Perf','T1batterydata','T2batterydata','T3batterydata','T4batterydata','T5batterydata','T6batterydata','T1batterydata2','T2batterydata2','T3batterydata2','T4batterydata2','T5batterydata2','T6batterydata2','BatBothPerf');
